Last Comment Bug 651477 - Update setTreatsFilePackagesAsDirectories when user change the filter
: Update setTreatsFilePackagesAsDirectories when user change the filter
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Widget: Cocoa (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla6
Assigned To: Mounir Lamouri (:mounir)
:
Mentors:
Depends on: 646854
Blocks: 651480
  Show dependency treegraph
 
Reported: 2011-04-20 06:10 PDT by Mounir Lamouri (:mounir)
Modified: 2011-05-11 05:48 PDT (History)
1 user (show)
mounir: in‑litmus?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (4.17 KB, patch)
2011-04-20 06:10 PDT, Mounir Lamouri (:mounir)
no flags Details | Diff | Splinter Review
Patch v1.1 (3.84 KB, patch)
2011-05-04 05:24 PDT, Mounir Lamouri (:mounir)
jaas: review+
Details | Diff | Splinter Review

Description Mounir Lamouri (:mounir) 2011-04-20 06:10:26 PDT
Created attachment 527246 [details] [diff] [review]
Patch v1

The patch in bug 646854 doesn't do that.
Actually, I wonder if the original code is buggy. To me, the comment and the code are exactly opposite. Am I wrong? In case of, I kept the original behavior. Josh, let me know if I should change that.
Comment 1 Josh Aas 2011-04-25 11:11:10 PDT
Comment on attachment 527246 [details] [diff] [review]
Patch v1

Review of attachment 527246 [details] [diff] [review]:

I don't think this patch will apply any more.
Comment 2 Mounir Lamouri (:mounir) 2011-05-04 05:24:13 PDT
Created attachment 529971 [details] [diff] [review]
Patch v1.1

Should apply on current trunk.
Comment 3 Josh Aas 2011-05-11 05:24:18 PDT
Comment on attachment 529971 [details] [diff] [review]
Patch v1.1

Review of attachment 529971 [details] [diff] [review]:
-----------------------------------------------------------------

I'd leave the behavior alone for now but that comment is wrong. Remove it or fix it and then this patch will be ready to go.
Comment 4 Mounir Lamouri (:mounir) 2011-05-11 05:48:29 PDT
I've added a FIXME comment pointing to bug 656260.

Pushed:
http://hg.mozilla.org/mozilla-central/rev/a5f4da293c4e

Note You need to log in before you can comment on or make changes to this bug.